import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchIssues({
order: "desc",
count: 10,
sort: "best-match",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/github/search-issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"owners": [
"<string>"
],
"repos": [
"<string>"
],
"language": "<string>",
"author": "<string>",
"assignee": "<string>",
"mentions": "<string>",
"labels": [
"<string>"
],
"comments": {
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123
},
"created": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"updated": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"closed": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"order": "desc",
"count": 10,
"after": "<string>",
"sort": "best-match"
}
'import requests
url = "https://api.bridgly.app/github/search-issues"
payload = {
"query": "<string>",
"owners": ["<string>"],
"repos": ["<string>"],
"language": "<string>",
"author": "<string>",
"assignee": "<string>",
"mentions": "<string>",
"labels": ["<string>"],
"comments": {
"gt": 123,
"gte": 123,
"lt": 123,
"lte": 123
},
"created": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"updated": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"closed": {
"gt": "2023-12-25",
"gte": "2023-12-25",
"lt": "2023-12-25",
"lte": "2023-12-25"
},
"order": "desc",
"count": 10,
"after": "<string>",
"sort": "best-match"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
owners: ['<string>'],
repos: ['<string>'],
language: '<string>',
author: '<string>',
assignee: '<string>',
mentions: '<string>',
labels: ['<string>'],
comments: {gt: 123, gte: 123, lt: 123, lte: 123},
created: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
updated: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
closed: {gt: '2023-12-25', gte: '2023-12-25', lt: '2023-12-25', lte: '2023-12-25'},
order: 'desc',
count: 10,
after: '<string>',
sort: 'best-match'
})
};
fetch('https://api.bridgly.app/github/search-issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": {
"query": "<string>",
"totalCount": 123,
"issues": [
{
"id": "<string>",
"number": 123,
"title": "<string>",
"state": "<string>",
"url": "<string>",
"isPullRequest": true,
"isDraft": true,
"merged": true,
"authorLogin": "<string>",
"repository": "<string>",
"repositoryUrl": "<string>",
"commentsCount": 123,
"labels": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"closedAt": "<string>"
}
],
"after": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Search GitHub issues
import { Bridgly } from 'bridgly';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.github.searchIssues({
order: "desc",
count: 10,
sort: "best-match",
});
if (res.type === 'success') console.log(res.data);Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
Free-text search terms, matched against the default fields for this search type, e.g. "web framework".
Limit to these owners (users or orgs). Maps to user:.
Limit to these "owner/name" repositories. Maps to repo:.
Language of the containing repo. Maps to language:.
Issue/PR state. Maps to state:.
open, closed Opened by this user. Maps to author:.
Assigned to this user. Maps to assignee:.
Mentioning this user. Maps to mentions:.
Require each of these labels. Maps to label:.
Filter by comment count. Provide any of gt / gte / lt / lte; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by creation date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by last update date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Filter by closed date. Provide any of gt / gte / lt / lte as YYYY-MM-DD dates; combine a lower and upper bound for a range.
Show child attributes
Show child attributes
Sort direction. Defaults to "desc".
desc, asc Number of results per page (1–10). Defaults to 10.
1 <= x <= 10Pagination cursor (the after value returned by a previous page). Omit for the first page.
State reason for closed issues. Maps to reason:.
completed, not-planned, reopened Sort field. Defaults to relevance ("best-match").
best-match, created, updated, comments Was this page helpful?